"use client"

import axios from "axios";
import * as React from 'react';
import { useEffect, useState } from "react";
import { useSession } from "next-auth/react";
import { cn } from "@/lib/utils";

const AdminProfile = () => {
  const session = useSession();
  const [user, setUser] = useState<{ id: string, username: string }>()


  return ( 
    <div className={"px-10 py-6 rounded-md bg-red-300 overflow-hidden wrap m-[10px]"}>
      <p className="text-xs text-gray-400">Role:</p>
      <p>{session?.data?.user?.role}</p>
    </div>
   );
}
 
export default AdminProfile;